## org.gnu.pango
Class GlyphString

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.pango.GlyphString

public class GlyphString
extends Boxed

Used to store strings of glyphs with geometry and visible attribute information.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`GlyphString()` Construct a new GlyphString.
`GlyphString(GlyphString glyphString)` Construct a new GlyphString that is a copy of the provided GlyphString.

Method Summary
`protected void` `finalize()`
`protected static Handle` `pango_glyph_string_copy(Handle string)`
`protected static void` `pango_glyph_string_extents_range(Handle glyphs, int start, int end, Handle font, Handle inkRect, Handle logicalRect)`
`protected static void` `pango_glyph_string_extents(Handle glyphs, Handle font, Handle inkRect, Handle logicalRect)`
`protected static void` `pango_glyph_string_free(Handle string)`
`protected static void` `pango_glyph_string_get_logical_widths(Handle glyphs, java.lang.String text, int length, int embeddingLevel, int[] logicalWidths)`
`protected static int` `pango_glyph_string_get_type()`
`protected static Handle` `pango_glyph_string_new()`
`protected static void` `pango_glyph_string_set_size(Handle string, int newLen)`
`void` `setSize(int newLength)` Resizes the GlyphString to the given length.

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlyphString

    public GlyphString()

  Construct a new GlyphString.

### GlyphString

    public GlyphString(GlyphString glyphString)

  Construct a new GlyphString that is a copy of the provided GlyphString.

Parameters:
  `glyphString` -

Method Detail

### setSize

    public void setSize(int newLength)

  Resizes the GlyphString to the given length.

  Parameters:
    `newLength` -

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### pango_glyph_string_new

    protected static final Handle pango_glyph_string_new()

### pango_glyph_string_set_size

    protected static final void pango_glyph_string_set_size(Handle string,
                                                            int newLen)

### pango_glyph_string_get_type

    protected static final int pango_glyph_string_get_type()

### pango_glyph_string_copy

    protected static final Handle pango_glyph_string_copy(Handle string)

### pango_glyph_string_free

    protected static final void pango_glyph_string_free(Handle string)

### pango_glyph_string_extents

    protected static final void pango_glyph_string_extents(Handle glyphs,
                                                           Handle font,
                                                           Handle inkRect,
                                                           Handle logicalRect)

### pango_glyph_string_extents_range

    protected static final void pango_glyph_string_extents_range(Handle glyphs,
                                                                 int start,
                                                                 int end,
                                                                 Handle font,
                                                                 Handle inkRect,
                                                                 Handle logicalRect)

### pango_glyph_string_get_logical_widths

    protected static final void pango_glyph_string_get_logical_widths(Handle glyphs,
                                                                      java.lang.String text,
                                                                      int length,
                                                                      int embeddingLevel,
                                                                      int[] logicalWidths)